Skip to content

Get data blocks from a given repo, by CID. For example, intermediate MST nodes, or records. Does not require auth; implemented by PDS.

GET
/xrpc/com.atproto.sync.getBlocks
curl --request GET \
--url 'https://example.com/xrpc/com.atproto.sync.getBlocks?did=example&cids=example'
did
required

The DID of the repo.

string format: did

The DID of the repo.

cids
required
Array<string>

Success

Media typeapplication/vnd.ipld.car

Bad Request

Media typeapplication/json
object
error
required
One of:
string
Allowed value: BlockNotFound
message
required
string

Example

{
"error": "BlockNotFound"
}